/// <reference types="react" />
import '../index.css';
type Props = {
    loading?: boolean;
    error?: unknown;
    loadingComponent?: React.ReactNode;
};
/**
 * Component for rendering loading state or error state.
 * @param {object} props - The props object.
 * @param {boolean} [props.loading] - Flag indicating whether data is loading.
 * @param {unknown} [props.error] - The error object, if any.
 * @param {React.ReactNode} [props.loadingComponent] - Custom loading component to be displayed.
 * @returns The JSX element representing loading state, error state, or an empty element.
 */
declare function LoadingOrError({ loading: isLoading, error, loadingComponent, }: Props): import("react/jsx-runtime").JSX.Element;
declare const MemoizedLoadingOrError: import("react").MemoExoticComponent<typeof LoadingOrError>;
export default MemoizedLoadingOrError;
