import { ContestInfo } from '../../types';
import '../../index.css';
type Props = {
    contestData: ContestInfo;
    theme?: {
        primaryColor?: string;
        secondaryColor?: string;
        bgColor?: string;
    };
};
/**
 * Component for displaying dynamic contest data.
 *
 * @param {object} props - Props for the DynamicContestData component.
 * @param {ContestInfo} props.contestData - The contest data to be displayed.
 * @param {object} [props.theme] - The theme object containing color values.
 * @param {string} [props.theme.primaryColor="rgba(34,211,238,1)"] - The primary color for text.
 * @param {string} [props.theme.secondaryColor="rgba(209,213,219,1)"] - The secondary color for text.
 * @param {string} [props.theme.bgColor="rgba(68,64,60,1)"] - The background color.
 *
 * @returns A React component for displaying dynamic contest data.
 */
declare function DynamicContestData({ contestData, theme, }: Props): import("react/jsx-runtime").JSX.Element;
export default DynamicContestData;
