type Props = {
    totalQuestions: number;
    totalSolved: number;
    primaryColor?: string;
    secondaryColor?: string;
};
/**
 * Component for displaying overall progress of solving problems.
 * @param {object} props - The props object.
 * @param {number} props.totalQuestions - The total number of questions.
 * @param {number} props.totalSolved - The number of questions solved.
 * @param {string} [props.primaryColor="rgba(34,211,238,1)"] - The primary color.
 * @param {string} [props.secondaryColor="rgba(209,213,219,1)"] - The secondary color.
 * @returns The JSX element representing the overall progress.
 */
declare function OverallProgress({ totalQuestions, totalSolved, primaryColor, secondaryColor }: Props): import("react/jsx-runtime").JSX.Element;
export default OverallProgress;
