import { type ReactNode } from "react";
import '../../index.css';
export type Props = {
    theme?: {
        primaryColor?: string;
        secondaryColor?: string;
    };
    icon: JSX.Element;
    title: ReactNode;
    id: string;
    link?: string;
};
/**
 * Component for displaying miscellaneous details with an icon and optional tooltip.
 * @param {object} props - The props object.
 * @param {JSX.Element} props.icon - The icon element to display.
 * @param {ReactNode} props.title - The title or content to display.
 * @param {string} props.id - The unique identifier for the component.
 * @param {string} [props.link] - The optional link URL.
 * @returns The JSX element representing the miscellaneous detail.
 */
declare function MiscellaneousDetail({ icon, title, id, link, theme }: Props): import("react/jsx-runtime").JSX.Element;
export default MiscellaneousDetail;
