declare const profileQuery = "\nquery ($username: String!) {\n    matchedUser(username: $username) {\n        username\n        socialAccounts\n        githubUrl\n        linkedinUrl\n        twitterUrl\n        profile {\n            realName\n            websites\n            countryName\n            skillTags\n            company\n            school\n            starRating\n            aboutMe\n            userAvatar\n            reputation\n            ranking\n        }\n        activeBadge {\n            id\n            displayName\n            icon\n        }\n    }\n}\n";
declare const contestDetailsQuery = "\nquery ($username: String!) {\n    userContestRanking(username: $username) {\n        attendedContestsCount\n        rating\n        globalRanking\n        totalParticipants\n        topPercentage\n        badge {\n            name\n        }\n    }\n    userContestRankingHistory(username: $username) {\n        attended\n        trendDirection\n        problemsSolved\n        totalProblems\n        finishTimeInSeconds\n        rating\n        ranking\n        contest {\n            title\n            startTime\n        }\n    }\n}\n";
declare const solvedProblemsStatsQuery = "\nquery ($username: String!) {\n    allQuestionsCount {\n        difficulty\n        count\n    }\n    matchedUser(username: $username) {\n        profile {\n            ranking\n        }\n        submitStats {\n            acSubmissionNum {\n                difficulty\n                count\n                submissions\n            }\n            totalSubmissionNum {\n                difficulty\n                count\n                submissions\n            }\n        }\n    }\n}\n";
declare const recentSubmissionQuery = "\nquery ($username: String!) {\n    recentSubmissionList(username: $username, limit: 10) {\n        title\n        titleSlug\n        timestamp\n        statusDisplay\n        lang\n    }\n}\n";
declare const heatMapQuery = "\nquery ($username: String!) {\n    matchedUser(username: $username) {\n        submissionCalendar\n    }\n}\n";
export { profileQuery, contestDetailsQuery, solvedProblemsStatsQuery, recentSubmissionQuery, heatMapQuery };
